Package org.apache.tapestry5.ioc.internal

## Class ServiceAdvisorImpl

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.AbstractMethodInvokingInstrumenter
  - - org.apache.tapestry5.ioc.internal.ServiceAdvisorImpl

- All Implemented Interfaces:
    `ServiceAdvisor`

      public class ServiceAdvisorImpl
      extends AbstractMethodInvokingInstrumenter
      implements ServiceAdvisor

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.ioc.internal.AbstractMethodInvokingInstrumenter

      `method, resourcesDefaults, serviceId, serviceInterface`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceAdvisorImpl​(ModuleBuilderSource moduleSource, java.lang.reflect.Method method, ServiceResources resources, PlasticProxyFactory proxyFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `advise​(MethodAdviceReceiver methodAdviceReceiver)` | Invokes the configured method, passing the builder.

    - ### Methods inherited from class org.apache.tapestry5.ioc.internal.AbstractMethodInvokingInstrumenter

      `invoke, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceAdvisorImpl

          public ServiceAdvisorImpl​(ModuleBuilderSource moduleSource,
                                    java.lang.reflect.Method method,
                                    ServiceResources resources,
                                    PlasticProxyFactory proxyFactory)

  - ### Method Detail

    - #### advise

          public void advise​(MethodAdviceReceiver methodAdviceReceiver)

      Invokes the configured method, passing the builder. The method will always take, as a parameter, a MethodAdvisor.
      Specified by:
        `advise` in interface `ServiceAdvisor`